DCMTK - Bug #670

Bug in Dcmltem::compare()
2015-11-03 11:26 - Marco Eichelberg

Status: Closed

Priority: Normal
Assignee: Marco Eichelberg
Category: Library

Target version: 3.6.1

Module: dcmdata

Operating System:

Start date:
Due date:

% Done:

Estimated time:

Compiler:

2015-11-03

100%
0:00 hour

Description
In demitem.cc, line 179, instead of

if (val != 0)
the following code would be correct:

if (result !'= 0)

As a result, the comparison between two Dcmltem instances may produce an incorrect result.

Bug reported by Robert Habrich.

History

#1 - 2015-11-03 11:37 - Marco Eichelberg
- Status changed from New to Closed

- % Done changed from 0 to 100

Fixed by commit 8bea423ddae8ab31275dbdeb98f6dd9d17cbd2chb.

2025-09-06

1/1



http://www.tcpdf.org

